Rapid7 Vulnerability & Exploit Database

RHSA-2001:067: Updated minicom packages available

Back to Search

RHSA-2001:067: Updated minicom packages available

Severity
7
CVSS
(AV:L/AC:L/Au:N/C:C/I:C/A:C)
Published
08/14/2001
Created
07/25/2018
Added
10/28/2005
Modified
07/04/2017

Description

The minicom program allows any user with local shell access to obtain group uucp priveledges. It may also be possible for the malicious user to obtain root priveledges as well.

Minicom contains a great number of format string abuses in it's usage of several printf-like varargs functions. The program was never written with security in mind, and as such even though many format strings bugs have been fixed in this release, there are many more lurking in the code. This release solves the security problem by disabling setgid uucp on the minicom binary.

Solution(s)

  • redhat-upgrade-minicom

With Rapid7 live dashboards, I have a clear view of all the assets on my network, which ones can be exploited, and what I need to do in order to reduce the risk in my environment in real-time. No other tool gives us that kind of value and insight.

– Scott Cheney, Manager of Information Security, Sierra View Medical Center

;